% 运行此代码可以得到文章图1结果
clear 
close all
clc
RunTransPath_Bench
rbt_1 = rbt;
rk = rkt;
wk = wkt;
Lambda = Lambdat;
thet1t1 = thet1t;
thet2t1 = thet2t;
q = qt;
clearvars -except delg delc delck delcl delb delbk delbl deli delq dely delrb delrk rbt_1 liquid mc rk wk Lambda thet1t1 thet2t1 adiscome delliquid q
clc
RunTransPath_Bench_ver2
rbt_2 = rbt;
rk2 = rkt;
wk2 = wkt;
Lambda2 = Lambdat;
thet1t2 = thet1t;
thet2t2 = thet2t;
q2 = qt;
clearvars -except delg delc delck delcl delb delbk delbl deli delq dely delrb delrk rbt_1 liquid mc rk wk Lambda thet1t1 thet2t1 adiscome delliquid q...
    delg2 delc2 delck2 delcl2 delb2 delbk2 delbl2 deli2 delq2 dely2 delrb2 delrk2 rbt_2 liquid2 mc2 rk2 wk2 Lambda2 thet1t2 thet2t2 adiscome2 delliquid2 zt q2
delz =  100*zt./zt(1)-100;
dellambda = 100*Lambda./Lambda(1)-100;
dellambda2 = 100*Lambda2./Lambda2(1)-100;
T=20;
%%
figure(1)

subplot(2,4,1)
plot(1:T,[real(delz(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;hold on
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);grid off;hold on
% set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
% plot(-4:T-7,[0*ones(4,1);real(delc3(2:T-5))],'LineWidth',2,'color',[250/255 192/255 61/255]);grid on;hold on
title({'H部门总体生产率',''},'FontSize',10,'Fontname','仿宋')


subplot(2,4,2)
plot(1:T,[real(dely(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,[real(dely2(2:T+1))],':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'总产出',''},'FontSize',10,'Fontname','仿宋')
leg = legend('基准模型','H部门解雇率不变','Fontname','仿宋');
set(leg,'box','off')
leg.ItemTokenSize =[10,1];


subplot(2,4,3)
plot(1:T,[real(delc(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;hold on
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,[real(delc2(2:T+1))],':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;hold on
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'总消费',''},'FontSize',10,'Fontname','仿宋')


subplot(2,4,4)
plot(1:T,[real(deli(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,[real(deli2(2:T+1))],':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'总投资',''},'FontSize',10,'Fontname','仿宋')


subplot(2,4,5)
plot(1:T,[real((delrb(2:T+1)))],'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,[real((delrb2(2:T+1)))],':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'国债内债收益率',''},'FontSize',10,'Fontname','仿宋')


subplot(2,4,6)
plot(1:T,real(q(2:T+1)).*100,'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(q2(2:T+1)).*100,':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'H部门解雇率',''},'FontSize',10,'Fontname','仿宋')

subplot(2,4,7)
plot(1:T,[real(delrk(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,[real(delrk2(2:T+1))],':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'实物资本回报率',''},'FontSize',10,'Fontname','仿宋')


subplot(2,4,8)
plot(1:T,[real(dellambda(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,[real(dellambda2(2:T+1))],':','LineWidth',2,'color',[0.41 0.41 0.41]);grid off;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'折现因子',''},'FontSize',10,'Fontname','仿宋')
