function [thet1,thet2,g,tax,wl,wk,rk,rho,epsilonstar,q,Lambda,Y,yk,yl,rb,xk,xl,nk,nl,Pik,Pil,c,k,i,bk,bl,ck,cl,U,W,gpi] = ...
    SolveAllSteadyState(gamma1,gamma2,alphaone,alphatwo,alphathree,phi,beta,nv,del,psi,epsilonmin,thetmin,bondd,bondf,tau,z,zeta,rbf,del_pi)
Q=zeros(4,1);
[Q(:,1)]        = fsolve(@(x)RES2(x,gamma1),[1.3029;1.6943;14;0.025]);  
thet1 = Q(1,1);
thet2 = Q(2,1);
wl    = Q(3,1);
gpi   = Q(4,1);
wk           = wl*Phi_1(thetmin,thet2,gamma1)/Phi_1(thetmin,thet1,gamma1);
rk           = 1/beta-1+del;
rho          = (alphaone/rk)^(alphaone)*(alphatwo/(wk))^(alphatwo);
kpi          = gpi/del_pi;
epsilonstar  = (nv/zeta)^zeta/(z*rho*kpi^zeta);
q            = Fun_g(epsilonstar,epsilonmin,gamma2);
Lambda       = (1-q)*phi/wk/(1-tau)+q*phi/wl/(1-tau);
yk           = (z*kpi^zeta*rho)^(1/zeta)*(gamma2/(gamma2-1/zeta))*epsilonmin^(gamma2)*epsilonstar^(1/zeta-gamma2);
rb           = phi*(beta*wk*Lambda*Phi_1(thetmin,thet1,gamma1))^(-1)-1;
xk           = (beta*(1+rb)*thet1*Lambda)^(-1);
xl           = (beta*(1+rb)*thet2*Lambda)^(-1);
nk           = alphatwo*yk/wk;
yl           = psi*(alphathree*psi/wl)^(alphathree/(1-alphathree));
nl           = alphathree*yl/wl;
Pik          = zeta*(z*kpi^zeta*rho)^(1/zeta)*(gamma2/(gamma2-1/zeta))*epsilonmin^(gamma2)*epsilonstar^(1/zeta-gamma2);
Pil          = (1-alphathree)*yl;
c            = (1-q)*xk*Phi_2(thetmin,thet1,gamma1)+q*xl*Phi_2(thetmin,thet2,gamma1);
k            = (alphaone*wk*nk)/(alphatwo*rk);
tax          = tau*(wk*nk+wl*nl+Pik+Pil-(1-q)*nv);
g            = tax-rb*bondd-rbf*bondf;
i            = del*k;
bk           = xk*Phi_3(thetmin,thet1,gamma1);
bl           = xl*Phi_3(thetmin,thet2,gamma1);
ck           = xk*Phi_2(thetmin,thet1,gamma1);
cl           = xl*Phi_2(thetmin,thet2,gamma1);
Y            = yk+yl;
U            = log(thetmin)+1/gamma1-(1-q)/gamma1*(thetmin/thet1)^(gamma1)-q/gamma1*(thetmin/thet2)^(gamma1)+(1-q)*log(xk)+q*log(xl)-nk-nl;
W            = U/(1-beta);
