% function [g]=Fun_g(epsilonstar)
% %%define the cumulative distribution function
% g=(1-(epsilonstar/0.5489)^(-2.2166))*(epsilonstar>=0.5489)+0*(epsilonstar<0.5489);

function [g]=Fun_g(epsilonstar,epsilonmin,gamma2)
%define the cumulative distribution function
g=(1-(epsilonstar./epsilonmin).^(-gamma2)).*(epsilonstar>=epsilonmin)+0.*(epsilonstar<epsilonmin);