clear 
close all
clc
RunTransPath_Bench
rbt_1 = rbt;
rk = rkt;
wk = wkt;
Lambda = Lambdat;
yyt = Yt;
ggt = gt;
clearvars -except delg delc delck delcl delb delbk delbl deli delq dely delrb rbt_1 liquid mc rk wk Lambda thet1t1 thet2t1 delxk delxl delnk delnl delmc yyt ggt totalbk totalbl
clc
RunTransPath_Bench_ver2
rbt_2 = rbt;
rk2 = rkt;
wk2 = wkt;
Lambda2 = Lambdat;
yyt2 = Yt;
ggt2 = gt;
q2= qt;
clearvars -except delg delc delck delcl delb delbk delbl deli delq dely delrb rbt_1 liquid mc rk wk Lambda thet1t1 thet2t1 delxk delxl delnk delnl delmc yyt ggt totalbk totalbl...
    delg2 delc2 delck2 delcl2 delb2 delbk2 delbl2 deli2 delq2 dely2 delrb2 delrk2 rbt_2 liquid2 mc2 rk2 wk2 Lambda2 thet1t2 thet2t2 delxk2 delxl2 delnk2 delnl2 delmc2 q2...
    cxkratio2 cxlratio2 bxkratio2 bxlratio2 ixkratio2 ixlratio2 yyt2 ggt2 totalbk2 totalbl2
RunTransPath_Bench_ver3
rbt_3 = rbt;
rk3 = rkt;
wk3 = wkt;
Lambda3 = Lambdat;
yyt3 = Yt;
ggt3 = gt;
q3 = qt;
clearvars -except delg delc delck delcl delb delbk delbl deli delq dely delrb rbt_1 liquid mc rk wk Lambda thet1t1 thet2t1 delxk delxl delnk delnl delmc yyt ggt totalbk totalbl...
    delg2 delc2 delck2 delcl2 delb2 delbk2 delbl2 deli2 delq2 dely2 delrb2 delrk2 rbt_2 liquid2 mc2 rk2 wk2 Lambda2 thet1t2 thet2t2 delxk2 delxl2 delnk2 delnl2 delmc2 q2...
    cxkratio2 cxlratio2 bxkratio2 bxlratio2 ixkratio2 ixlratio2 yyt2 ggt2 totalbk2 totalbl2...
    delg3 delc3 delck3 delcl3 delb3 delbk3 delbl3 deli3 delq3 dely3 delrb3 delrk3 rbt_3 liquid3 mc3 rk3 wk3 Lambda3 thet1t3 thet2t3 delxk3 delxl3 delnk3 delnl3 delmc3 q3...
    cxkratio3 cxlratio3 bxkratio3 bxlratio3 ixkratio3 ixlratio3 yyt3 ggt3 totalbk3 totalbl3 zt

delliquid2 = 100*liquid2./liquid2(1)-100; 
delliquid3 = 100*liquid3./liquid3(1)-100; 

delwk2 = 100*wk2./wk2(1)-100;
delwk3 = 100*wk3./wk3(1)-100;

delz = 100*zt./zt(1)-100;
T=15;
%% 两种融资方式的差别
dc=delc2-delc3;
di=deli2-deli3;
%%
figure(1)

subplot(1,2,1)
plot(1:T,[real(dc(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;hold on
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
%set(gca,'ytick',-6:2:-1)
title({'消费',''},'FontSize',12,'Fontname','仿宋')
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);grid off;hold on

subplot(1,2,2)
plot(1:T,[real(di(2:T+1))],'LineWidth',2,'color',[0 0 0]);grid on;hold on
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
title({'投资',''},'FontSize',12,'Fontname','仿宋')
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);grid off;hold on
%%
figure(2)
set(gcf,'position',[100 100 500 200])
subplot(1,2,1)
plot(1:T,real(delrk2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(delrk3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'实物资本收益率',''},'FontSize',10,'Fontname','仿宋')

subplot(1,2,2)
plot(1:T,real(delwk2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(delwk3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'H部门工资水平',''},'FontSize',10,'Fontname','仿宋')
leg=legend('发行内债','其他发行方式','FontSize',8,'Fontname','仿宋','Location','southeast');
set(leg,'box','off')
leg.ItemTokenSize =[10,1];

%% 
figure(3)
subplot(2,3,1)
plot(1:T,real(cxkratio2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(cxkratio3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'H部门消费收入比',''},'FontSize',10,'Fontname','仿宋')
leg=legend('发行内债','其他发行方式','FontSize',8,'Fontname','仿宋');
set(leg,'box','off')
leg.ItemTokenSize =[10,1];


subplot(2,3,2)
plot(1:T,real(bxkratio2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(bxkratio3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'H部门内债收入比',''},'FontSize',10,'Fontname','仿宋')

subplot(2,3,3)
plot(1:T,real(ixkratio2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(ixkratio3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'H部门实物投资收入比',''},'FontSize',10,'Fontname','仿宋')


subplot(2,3,4)
plot(1:T,real(cxlratio2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(cxlratio3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'L部门消费收入比',''},'FontSize',10,'Fontname','仿宋')


subplot(2,3,5)
plot(1:T,real(bxlratio2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(bxlratio3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'L部门内债收入比',''},'FontSize',10,'Fontname','仿宋')


subplot(2,3,6)
plot(1:T,real(ixlratio2(2:T+1)),'LineWidth',2,'color',[0 0 0]);grid on;
set(gca,'GridLineStyle',':','GridColor','k','GridAlpha',1);hold on
plot(1:T,real(ixlratio3(2:T+1)),':','LineWidth',2,'color',[105/255 105/255 105/255]);grid off;
title({'L部门实物投资收入比',''},'FontSize',10,'Fontname','仿宋')







