function [phi3]=Phi_3(thetmin,thetstar,gamma1)
%% define a function to compute the integral term Phi_3
% theta~Pareto(gamma1)
% theta_min=1-1/gamma_1
% the expectation of theta is assumed to be 1; the std of thet is 1\thet(thet-2)

% compute the integral term
%phi3= (1/2.2166*(0.5489/thetstar)^(2.2166-1))*(thetstar>=0.5489)+(1-thetstar)*(thetstar<0.5489);

%function [phi3]=Phi_3(thetmin,thetstar,gamma1)
%% define a function to compute the integral term Phi_3
% theta~Pareto(gamma1)
% theta_min=1-1/gamma_1
% the expectation of theta is assumed to be 1; the std of thet is 1\thet(thet-2)

% compute the integral term
phi3= (1./gamma1.*(thetmin./thetstar).^(gamma1-1)).*(thetstar>=thetmin)+(1-thetstar).*(thetstar<thetmin);